WPSField Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | List of all members
WPSField Struct Reference

a field More...

`#include <libwps_internal.h>`

## Public Types
enum | Type { None , Database , Date , Link , PageCount , PageNumber , PageNumberNext , Time , Title }
| Defines some basic type for field. More...

## Public Member Functions
| WPSField (Type type)
| basic constructor
| WPSField (WPSField &&)=default
| WPSField (WPSField const &)=default
WPSField & | operator= (WPSField const &)=default
WPSField & | operator= (WPSField &&)=default
bool | addTo (librevenge::RVNGPropertyList &propList) const
| add the link property to proplist (if possible)
librevenge::RVNGString | getString () const
| returns a string corresponding to the field (if possible) *‍/

## Public Attributes
Type | m_type
| the type
std::string | m_DTFormat
| the date/time format using strftime format if defined (see strftime)
libwps::NumberingType | m_numberingType
| the number type ( for number field )
std::string | m_data
| the database/link field ( if defined )

## Detailed Description

a field

## Member Enumeration Documentation

## ◆ Type

enum WPSField::Type

Defines some basic type for field.

Enumerator
None |
Database |
Date |
Link |
PageCount |
PageNumber |
PageNumberNext |
Time |
Title |

## Constructor & Destructor Documentation

## ◆ WPSField() [1/3]

WPSField::WPSField | ( | Type | type | ) |
| inlineexplicit

basic constructor

Referenced by operator=(), operator=(), WPSField(), and WPSField().

## ◆ WPSField() [2/3]

WPSField::WPSField | ( | WPSField && |  | ) |
| default

## ◆ WPSField() [3/3]

WPSField::WPSField | ( | WPSField const & |  | ) |
| default

## Member Function Documentation

## ◆ addTo()

bool WPSField::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add the link property to proplist (if possible)

Referenced by WKSContentListener::insertField(), and WPSContentListener::insertField().

## ◆ getString()

librevenge::RVNGString WPSField::getString | ( |  | ) | const

returns a string corresponding to the field (if possible) *‍/

Referenced by WKSContentListener::insertField(), and WPSContentListener::insertField().

## ◆ operator=() [1/2]

WPSField & WPSField::operator= | ( | WPSField && |  | ) |
| default

## ◆ operator=() [2/2]

WPSField & WPSField::operator= | ( | WPSField const & |  | ) |
| default

## Member Data Documentation

## ◆ m_data

std::string WPSField::m_data

the database/link field ( if defined )

Referenced by getString(), and WPSField().

## ◆ m_DTFormat

std::string WPSField::m_DTFormat

the date/time format using strftime format if defined (see strftime)

Referenced by addTo(), WPS4Text::readText(), WPS8Text::readText(), and WPSField().

## ◆ m_numberingType

libwps::NumberingType WPSField::m_numberingType

the number type ( for number field )

Referenced by addTo(), and WPSField().

## ◆ m_type

Type WPSField::m_type

the type

Referenced by addTo(), getString(), WKSContentListener::insertField(), WPSContentListener::insertField(), and WPSField().

The documentation for this struct was generated from the following files:

- libwps_internal.h
- libwps_internal.cpp